//[passport-contacts-core](../../../../index.md)/[com.yandex.passport.contacts.core](../../index.md)/[ContactPermissionFacade](../index.md)/[Listener](index.md)

# Listener

[passport-contacts-core]\
fun interface [Listener](index.md)

A listener to call after permission is granted or denied.

## Functions

| Name | Summary |
|---|---|
| [onPermissionResult](on-permission-result.md) | [passport-contacts-core]<br>abstract fun [onPermissionResult](on-permission-result.md)(permissionStatus: PermissionStatus)<br>Fired when permission request has resulted in a grant or denial. |
